# Makefile de GRISLI - compilo et options pour Cat (pc-226)
# FT options de compilation
# LK options de link

# Rappel de quelques options interessantes
#-------------------------------------------
# faire imperativement attention a l'arithmetique
# -fpe0 s'arrete sur les floating point exception (sauf underflow)
# -CB  Performs run-time checking on array subscript and character substring expressions
# -g pour debug 
# -pg pour le profiling
# -traceback permet de connaitre la ligne qui plante

# faire man ifort pour plus d'infos

# le directory dans lequel sont les compilateurs et MKL
# DIRLOCAL=/usr/local variable d'environnement a definir dans .bash_profile


# lit le nom du fichier param pour lancer sur r2d2 par une commande :   echo jobparam | LBQ....

JOB = 'job' 


# librairies

NETCDFHOME= $(DIRLOCAL)/netcdf-4.0.1
HDF5_HOME=$(DIRLOCAL)/hdf5-1.8.1
NCDF_INC  = $(NETCDFHOME)/include
NCDF_LIB  = -L$(NETCDFHOME)/lib -lnetcdf

# librairies

NCDF_INC  = $(NETCDFHOME)/include
NCDF_LIB  = -L$(NETCDFHOME)/lib -lnetcdf -L$(HDF5_HOME)/lib -lhdf5 -lhdf5_hl
HDF5_INC = $(HDF5_HOME)/include
HDF5_LIB=-L$(HDF5_HOME)/lib -lhdf5 -lz

MKL_LIB  = -L$(DIRLOCAL)/intel/mkl10/lib/64  -lmkl -lguide -lpthread #  -lmklapack
export $MKL_LIB

#IFORT = $(DIRLOCAL)/intel/compiler9/bin/ifort
IFORT = $(DIRLOCAL)/intel/compiler10/bin/ifort

ARITHM    = -O2 -fp-model precise  -heap-arrays # -traceback   -CB  -g  # options pour une meilleure arithmetique
                                                                      # (normalement reproductible)
#ARITHM    =  -fp-model precise -warn all -CU -CA # options pour une meilleure arithmetique (normalement reproductible)
# ARITHM = -03                    # trop brutal ne pas utiliser



FT        = $(IFORT) $(ARITHM) -c  -fpe0  #-traceback   -CB  #-g #-pg  # -g # -pg -ipo !aurel : j'ai enleve -CB
LK        = $(IFORT) $(ARITHM)  -i_dynamic  -fpe0 # -traceback   -CB # -g  #-pg   #-g #  -pg
F_NETCDF  = $(IFORT) $(ARITHM) -c  -fpe0  -I$(NCDF_INC) # -traceback  -CB   #-g #-pg -ipo # -g
FT        = $(IFORT) $(ARITHM) -c  -fpe0  -I$(NCDF_INC) # -traceback  -CB  #-g #-pg -ipo # -g




