!
!
!  Ce module permet de choisir quels package on veut utiliser
!  avec la version Hudson (nouvelle configuration basee dans Heino)
!
!
!C. dumas et J. Alvarez 22-05-08

MODULE MODULE_CHOIX

!--------------Lecture topo ------------------------
!use lect_topo_anteis    ! pour l'antarctique 40 km
!cdc use lect_topo_nord40    ! pour l'hemisphere nord 40 km
!use lect_topo_eurasie   ! pour l'eurasie  (toute resolutions)
!use lect_topo_heino      ! pour Heino sans ice-shelves (version Catherine MK inverse !!!!
use lect_topo_hudson_shelf      ! pour Hudson avec ice-shelves

!--------------Lecture climat ref ------------------
!use lect_clim_act_anteis
!cdc use lect_clim_act_nord40 ! pour l'hemisphere nord et l'eurasie
use  climat_hudson

! pas de lacs proglaciaires
use no_lakes

!--------------Lecture climat forcage---------------
!use CLIMAT_PERTURB_MOD
!cdc USE CLIMAT_FORCAGE_MOD
!USE CLIMAT_SYNTHES_MOD
!USE CLIMAT_PROFIL_MOD

!--------------Choix isostasie----------------------
USE ISOSTASIE_MOD ! module permettant de calculer la deflexion isostasique
!USE NOISOSTASIE_MOD ! module qui n'uilise pas l'isostasie


!--------------Module Physique---------------------
USE DEFORMATION_MOD  ! module concernant les lois de deformation


!--------------Module propritete thermique de la glace
!use prop_therm_ice_heino  ! module specifique Heino
use prop_thermiques_ice   ! module standard 

! eau basale
use eau_basale_hudson


use sliding_hudson    ! loi de glissement heino : mis dans diffusiv 

!use dragging_hudson   ! loi de frottement specifique sediment Heino
!use dragging_hwatstream_sedim_hudson ! loi de frottement hemin40 avec type sediment
! use dragging_hwat_contmaj ! dragging general version Juillet 08
 use dragging_hudson_jorge !=drag_hwat_contmaj,mais pas de suivi des fleuves depuis la cote
!use fake_dragging_heino

use eq_ellip_sgbsv_mod ! nouvelle version juillet 2008 
!USE EQ_ELLIPTIQUE_MOD! ancienne version module concernant l'eq. elliptique (pour les shelves)

! calving
!use calving_vincent ! bug !
use calving_frange ! specifique ? Ant40 a tester

! choix resolution de la conservation de la masse
!-----------------------------------------------
use equat_adv_diff_2D          ! conservation masse avec advection-diffusion

!--------------Fusion basale------------------------
use bmelt_hudson   ! fusion basale adaptee au mask heino2

! fake -------fausses routines pour compatibilits
use fake_heino


!-------------- Outputs-----------------------------
!
use out_profile  !profils
!use out_cptr     ! fichier de reprise 
use out_hz       ! module de sorties snapshot dans un plan horizontal

!-----Suivi temporel
!cdc  USE OUTPUT_HEMINORD_MOD
! USE OUTPUT_ANTARCTI_MOD
use output_hudson
!-----debugage...
use printtable


END MODULE MODULE_CHOIX
