!> \file lect_datfile.f90
!! Module pour la lecture des donnees
!<

!> SUBROUTINE: lect_datfile
!! lecture of a ZBL file (starting from bottom left)
!! \author ...
!! \date ...
!! @param  nxx                dimension along x
!! @param  nyy                dimension along y
!! @param  numcol             column number
!! @param  filename           
!! @return Tab                the value of Tab(nxx,nyy): Warning it is a real

subroutine lect_datfile(nxx,nyy,Tab,numcol,filename)

implicit none
integer,intent(in)  :: nxx                    !< dimension along x
integer,intent(in)  :: nyy                    !< dimension along y
integer,intent(in)  :: numcol                 !< column number 1->average, 2->minval 3->maxval
character(len=80),intent(in) :: filename      !< name of the file
real,dimension(nxx,nyy),intent(out) :: Tab    !< the array that is read and returned


integer  :: i,j                !< working integers
integer  :: lx,ly              !< nxx, nyy read in the file
real,dimension(3) :: a         !< working tab

open(22,file=trim(filename))
read(22,*) lx,ly

if ((lx.ne.nxx).or.(ly.ne.nyy)) then
   write(6,*) 'wrong dimension of the file', filename
   write(6,*) 'in the file',lx,ly
   write(6,*) 'should be',nxx,nyy
   STOP
end if

if (numcol.eq.1) then
   do j=1,nyy
      do i=1,nxx
         read(22,*) a(1)
         Tab(i,j)=a(numcol)
      end do
   end do
else if (numcol.eq.2) then
   do j=1,nyy
      do i=1,nxx
         read(22,*) a(1),a(2)
         Tab(i,j)=a(numcol)
      end do
   end do
else if (numcol.eq.3) then
   do j=1,nyy
      do i=1,nxx
         read(22,*) a(1),a(2),a(3)
         Tab(i,j)=a(numcol)
      end do
   end do
end if

close(22)
return
end subroutine lect_datfile
